/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.FinderPopup;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FocusPanel;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.Widget;


/**
 * View of the finder popup
 * 
 * @author Jean-Yves Goubet
 *
 */
public class VFinderPopup extends Composite implements VFinderPopupIF {

  @UiTemplate ("VFinderPopup.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VFinderPopup> { }
  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);
  
  @UiField FocusPanel popupFocusPanel;
  @UiField Label      label1;
  @UiField Label      label2;
  @UiField Label      label3;
  @UiField Label      label4;
  @UiField Label      label5;
  @UiField Label      label6;
  
  
  /**
   * Constructor of the view
   * 
   * @author Jean-Yves Goubet
   * 
   */
  public VFinderPopup() {
    //
    this.initWidget(VFinderPopup.uiBinder.createAndBindUi(this));
  }
  
  
  /**
   * Getter of the popupFocusPanel parameter
   * 
   * @author Jean-Yves Goubet
   * @return FocusPanel : the focusPanel
   * 
   */
  public FocusPanel getPopupFocusPanel() {
    return popupFocusPanel;
  }
  
  
  /**
   * Getter of the label1 parameter
   * 
   * @author Jean-Yves Goubet
   * @return Label : the label
   * 
   */
  public Label getLabel1() {
    return label1;
  }

  
  /**
   * Getter of the label2 parameter
   * 
   * @author Jean-Yves Goubet
   * @return Label : the label
   * 
   */
  public Label getLabel2() {
    return label2;
  }

  
  /**
   * Getter of the label3 parameter
   * 
   * @author Jean-Yves Goubet
   * @return Label : the label
   * 
   */
  public Label getLabel3() {
    return label3;
  }

  
  /**
   * Getter of the label4 parameter
   * 
   * @author Jean-Yves Goubet
   * @return Label : the label
   * 
   */
  public Label getLabel4() {
    return label4;
  }

  
  /**
   * Getter of the label5 parameter
   * 
   * @author Jean-Yves Goubet
   * @return Label : the label
   * 
   */
  public Label getLabel5() {
    return label5;
  }

  
  /**
   * Getter of the label6 parameter
   * 
   * @author Jean-Yves Goubet
   * @return Label : the label
   * 
   */
  public Label getLabel6() {
    return label6;
  }

}
