/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.ListProcessActivity;

import org.ow2.orchestra.console.GWTConsole.client.ProcessDetails.ProcessDetailsGrid;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Widget;


/**
 * This class is the view of the process activities list.
 * 
 * @author Jean-Yves Goubet
 *
 */
public class VListProcessActivity extends Composite implements VListProcessActivityIF {

  @UiTemplate ("VListProcessActivity.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VListProcessActivity> { }
  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);

  @UiField ProcessActivityGrid listProcessActivityGrid;
  @UiField ProcessDetailsGrid  processDetailsGrid;
  
  private PListProcessActivity presenter;
  
  /**
   * The constructor of the class
   * 
   * @author Jean-Yves Goubet
   * 
   */
  public VListProcessActivity() {
    //
    this.initWidget(VListProcessActivity.uiBinder.createAndBindUi(this));
  }
  
  
  /**
   * Getter of the process activity grid
   * 
   * @author Jean-Yves Goubet
   * @return listActivityGrid : the grid that contains the activities of a process or instance
   */
  public ProcessActivityGrid getProcessActivityGrid() {
    return listProcessActivityGrid;
  }

  public ProcessDetailsGrid getProcessDetailsGrid() {
    return this.processDetailsGrid;
  }
  
  
  public void setPresenter(PListProcessActivity presenter) {
    this.presenter = presenter;
  }
  
  public PListProcessActivity getPresenter() {
    return presenter;
  }

}
